#include <iostream>
#include <string>
using namespace std;
int main()
{
    string t;
    getline(cin,t);
    int n;
    cin>>n;
    for(int i=0; i<t.size(); i++)
    {
        if(t[i]>='a' and t[i]<='z')
        {
            if((int)t[i]-n>=0+'a')
            {
                if((int)t[i]-n>=0+'a'<='z')t[i]=(char)((t[i]-n-'a')%26+'a');
                else t[i]=(char)t[i]-n;
            }
            else
            {
                t[i]=(char)(t[i]-'a'-n+'z'+1);
            }
        }
        else{
            if(t[i]>='A' and t[i]<='Z')
        {
            if((int)t[i]-n>=0+'A')
            {
                if((int)t[i]-n>=0+'A'<='Z')t[i]=(char)((t[i]-n-'A')%26+'A');
                else t[i]=(char)t[i]-n;
            }
            else
            {
                t[i]=(char)(t[i]-'A'-n+'Z'+1);
            }
            }
        }
    }
    cout<<t<<endl;

    return 0;
}
